import greenfoot.Color;
import greenfoot.GreenfootImage;
import greenfoot.World;

/**
 * A simple world. Nothing special here, just some actors added into the world on creation.
 */
public class Game extends World{
    //The players
    Player p1, p2;
    public Game(){
        //Create a 600x600 pixels map
        super(600, 600, 1);

        //Create and add two players
        p1 = new Player(0);
        p2 = new Player(1);
        addObject(p1, 300, 275);
        addObject(p2, 300, 325);

        //Create background image
        GreenfootImage image = new GreenfootImage(50, 50);
        image.setColor(Color.LIGHT_GRAY);
        image.fill();
        image.setColor(Color.GRAY.brighter());
        image.fillRect(0, 0, 25, 25);
        image.fillRect(25, 25, 25, 25);
        setBackground(image);
    }
}